Bug 19663 - Move JS to the footer: Reports
Summary: Move JS to the footer: Reports
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-21 13:20 UTC by Owen Leonard
Modified: 2017-12-20 11:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19663: Move JS to the footer: Reports (73.83 KB, patch)
2017-11-21 14:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19663: Move JS to the footer: Reports (73.88 KB, patch)
2017-11-22 07:47 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19663: Move JS to the footer: Reports (73.77 KB, patch)
2017-12-07 12:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19663: Move JS to the footer: Reports (73.82 KB, patch)
2017-12-13 10:56 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-21 13:20:49 UTC
In order to conform to best practices for performance, staff client template JavaScript should be in the footer instead of the header.

This patch will do so for reports templates.
Comment 1 Owen Leonard 2017-11-21 14:53:55 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2017-11-22 07:47:36 UTC
Created attachment 69264 [details] [review]
Bug 19663: Move JS to the footer: Reports

This patch modifies the staff client's reports templates so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
reports pages: All button controls, DataTables functionality, form
validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-07 08:47:21 UTC
Owen, just a small thing:

the function Dopop in cat_issues_top.tt template should be probably removed, it is not used if I am reading it right.

Otherwise looks good!
Comment 4 Owen Leonard 2017-12-07 12:56:03 UTC
Created attachment 69603 [details] [review]
Bug 19663: Move JS to the footer: Reports

This patch modifies the staff client's reports templates so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
reports pages: All button controls, DataTables functionality, form
validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Fix for QA: Remove unused Dopop function.
Comment 5 Josef Moravec 2017-12-13 10:56:38 UTC
Created attachment 69771 [details] [review]
Bug 19663: Move JS to the footer: Reports

This patch modifies the staff client's reports templates so
that JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
reports pages: All button controls, DataTables functionality, form
validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Fix for QA: Remove unused Dopop function.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Jonathan Druart 2017-12-14 20:17:19 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2017-12-20 11:50:38 UTC
Awesome work all! Enhancement, not backporting for 17.11